Get beneficiary Run in API Explorer

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://docs.lumetrade.com/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "Lumetrade API MCP server": {
    "url": "https://docs.lumetrade.com/mcp"
  }
}

Close
GET /api/v1/beneficiaries/{beneficiaryId}

Returns a confirmed beneficiary belonging to the authenticated API key owner.

Path parameters

  • beneficiaryId string Required

    Beneficiary id returned by the beneficiary list endpoint.

Responses

  • 200 application/json

    Beneficiary returned successfully

    Hide response attributes Show response attributes object
    • id string

      Beneficiary id used by external beneficiary endpoints.

    • currency string

      Saved beneficiary currency.

    • nickname string

      Beneficiary nickname.

    • withdrawFormDetails object

      Saved withdrawal form details for the beneficiary.

      Additional properties are allowed.

      Hide withdrawFormDetails attributes Show withdrawFormDetails attributes object
      • pojo boolean
      • int boolean
      • double boolean
      • bigDecimal boolean
      • bigInteger boolean
      • nodeType string

        Values are ARRAY, BINARY, BOOLEAN, MISSING, NULL, NUMBER, OBJECT, POJO, or STRING.

      • container boolean
      • binary boolean
      • missingNode boolean
      • floatingPointNumber boolean
      • integralNumber boolean
      • valueNode boolean
      • string boolean
      • boolean boolean
      • object boolean
      • textual boolean Deprecated
      • long boolean
      • short boolean
      • number boolean
      • array boolean
      • empty boolean
      • null boolean
      • float boolean
      • embeddedValue boolean
    • createdAt string(date-time)

      Beneficiary creation timestamp.

  • 404 application/json

    Beneficiary was not found for the authenticated user

    Hide response attributes Show response attributes object
    • id string

      Beneficiary id used by external beneficiary endpoints.

    • currency string

      Saved beneficiary currency.

    • nickname string

      Beneficiary nickname.

    • withdrawFormDetails object

      Saved withdrawal form details for the beneficiary.

      Additional properties are allowed.

      Hide withdrawFormDetails attributes Show withdrawFormDetails attributes object
      • pojo boolean
      • int boolean
      • double boolean
      • bigDecimal boolean
      • bigInteger boolean
      • nodeType string

        Values are ARRAY, BINARY, BOOLEAN, MISSING, NULL, NUMBER, OBJECT, POJO, or STRING.

      • container boolean
      • binary boolean
      • missingNode boolean
      • floatingPointNumber boolean
      • integralNumber boolean
      • valueNode boolean
      • string boolean
      • boolean boolean
      • object boolean
      • textual boolean Deprecated
      • long boolean
      • short boolean
      • number boolean
      • array boolean
      • empty boolean
      • null boolean
      • float boolean
      • embeddedValue boolean
    • createdAt string(date-time)

      Beneficiary creation timestamp.

GET /api/v1/beneficiaries/{beneficiaryId}
curl \
 --request GET 'https://api.lumetrade.com/api/v1/beneficiaries/ben_7K9Q2M' \
 --header "X-API-KEY: $API_KEY" \
 --header "X-API-SECRET: $API_KEY"
Response examples (200)
{
  "id": "ben_7K9Q2M",
  "currency": "ZAR",
  "nickname": "FNB Savings",
  "withdrawFormDetails": {
    "bankName": "FNB",
    "accountNumber": "1234567890",
    "accountHolderName": "Jane Example"
  },
  "createdAt": "2026-05-11T10:15:30Z"
}
Response examples (404)
{
  "id": "ben_7K9Q2M",
  "currency": "ZAR",
  "nickname": "FNB Savings",
  "withdrawFormDetails": {
    "bankName": "FNB",
    "accountNumber": "1234567890",
    "accountHolderName": "Jane Example"
  },
  "createdAt": "2026-05-11T10:15:30Z"
}